Bug 758409

Summary: Kernel mode set with intel sandy bridge video sets brightness to zero.
Product: [Fedora] Fedora Reporter: Gustavo Maciel Dias Vieira <gustavo>
Component: xorg-x11-drv-intelAssignee: Adam Jackson <ajax>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 18CC: ajax, gansalmon, itamar, jean-pierre.andre, jonathan, jones, kernel-maint, madhu.chinakonda, xgl-maint
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
See Also: https://bugs.freedesktop.org/show_bug.cgi?id=43577
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-08-14 15:43:39 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
/var/log/messages
none
dmesg with debug on none

Description Gustavo Maciel Dias Vieira 2011-11-29 13:47:34 EST
Created attachment 538179 [details]
/var/log/messages

Description of problem:

In early boot, when the kernel sets the mode in a intel sandy bridge video adapter the brightness is set to zero. The display then becomes unreadable.

If I disable KMS, the problem disappears.

If I boot in text mode (no X involved) the problem persists as long as KMS is enabled.


Version-Release number of selected component (if applicable):
kernel-3.1.1-2.fc16.x86_64

But I have observed this bug in all F16 kernels.

How reproducible:
Deterministic

Steps to Reproduce:
1. Boot
2.
3.
  
Actual results:
Blank screen, zero brightness

Expected results:
Non-zero brightness

Additional info:

The workaround is to put: echo 7 > /sys/class/backlight/acpi_video0/brightness in some initialization script.
Comment 1 Gustavo Maciel Dias Vieira 2011-11-29 13:48:25 EST
Created attachment 538180 [details]
dmesg with debug on
Comment 2 Josh Boyer 2012-03-01 10:36:12 EST
Do the 3.2.7 or newer kernel updates help this issue?
Comment 3 Gustavo Maciel Dias Vieira 2012-03-02 12:59:08 EST
Bug is still present with kernel-3.2.7-1.fc16.x86_64
Comment 4 Dave Jones 2012-03-22 13:11:25 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 5 Dave Jones 2012-03-22 13:13:53 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 6 Dave Jones 2012-03-22 13:23:12 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 7 Gustavo Maciel Dias Vieira 2012-09-04 10:43:48 EDT
I'm typing this with the affected laptop, that still has the bug. If you require more data, please do ask.
Comment 8 Gustavo Maciel Dias Vieira 2012-09-04 10:46:25 EDT
Just noticed the [mass update] message. I'm currently running kernel-3.4.9-2.fc16.x86_64 and the bug is still present.
Comment 9 Dave Jones 2012-10-23 11:33:58 EDT
# Mass update to all open bugs.

Kernel 3.6.2-1.fc16 has just been pushed to updates.
This update is a significant rebase from the previous version.

Please retest with this kernel, and let us know if your problem has been fixed.

In the event that you have upgraded to a newer release and the bug you reported
is still present, please change the version field to the newest release you have
encountered the issue with.  Before doing so, please ensure you are testing the
latest kernel update in that release and attach any new and relevant information
you may have gathered.

If you are not the original bug reporter and you still experience this bug,
please file a new report, as it is possible that you may be seeing a
different problem. 
(Please don't clone this bug, a fresh bug referencing this bug in the comment is sufficient).
Comment 10 Gustavo Maciel Dias Vieira 2012-10-23 12:11:07 EDT
Bug is still present with kernel-3.6.2-1.fc16.x86_64
Comment 11 Fedora End Of Life 2013-01-16 17:56:18 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Fedora End Of Life 2013-02-13 20:26:41 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 13 Gustavo Maciel Dias Vieira 2013-03-01 08:31:15 EST
This bug is alive and well in Fedora 18 with kernel-3.7.9-205.fc18.x86_64. By the way, as the installation processes uses KMS now, the bug shows in the installer, that must be run in basic video mode.
Comment 14 Gustavo Maciel Dias Vieira 2013-03-26 12:40:35 EDT
Found the problem and a solution. Apparently it is a BIOS bug where it is claimed the display uses minimum backlight at boot. More info: https://bugzilla.kernel.org/show_bug.cgi?id=21212 and https://bugzilla.kernel.org/show_bug.cgi?id=51141

The solution is to put video.use_bios_initial_backlight=0 in the kernel command line. This can be used right in the installer and should work seamlessly.

A more definitive fix is to add this laptop to a white list of machines needing this parameter. I've made a patch to fix it and have sent it to the ACPI guys, should land in 3.10 I guess: https://git.kernel.org/cgit/linux/kernel/git/rafael/linux-pm.git/commit/?h=linux-next&id=771d09b3c4c45d4d534a83a68e6331b97fd82e15
Comment 15 Jean-Pierre André 2013-07-06 11:01:02 EDT
Still no improvement in Fedora 19 on this issue.

My display controller :

00:02.0 VGA compatible controller: Intel Corporation 2nd Generation Core Processor Family Integrated Graphics Controller (rev 09)

Still have to put "xdriver=intel acpi_backlight=vendor" on the boot option line and some value into /sys/class/backlight/intel_backlight/brightness to get an acceptable screen brightness...
Comment 16 Gustavo Maciel Dias Vieira 2013-08-14 15:43:39 EDT
Fixed in kernel-3.10.4-100.fc18.x86_64.